{ inputs, ... }: {
  flake-file.inputs = {
    rust-overlay = {
      url = "github:oxalica/rust-overlay";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  flake.modules.nixos.rust = { pkgs, ... }: {
    nixpkgs.overlays = [
      inputs.rust-overlay.overlays.default
    ];

    environment.systemPackages = with pkgs; [
      rust-bin.stable.latest.default
    ];
  };
}
